<?php
 header("Access-Control-Allow-Origin: *");
 header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$serviceid=$json['serviceid'];
$subid=$json['subid'];
$sql = "SELECT amenities_description.*,amenities.amenities_title FROM amenities INNER JOIN amenities_description ON amenities.id=amenities_description.amenities_id WHERE amenities.service_id='$serviceid' and amenities.subservice_id='$subid' and amenities.status='1' order by amenities_description.amenities_id asc";
$result = $conn->query($sql);
$arr=array();
$amen_id="";
while($row = mysqli_fetch_assoc($result)) {
$title="";
if($amen_id!=$row['amenities_id']){
 $title=$row['amenities_title'];   
}
$arr[]=array("id" => $row['id'],"title"=>$title,"amenities_name" => $row['amenities_name'],"checked" => false);
$amen_id=$row['amenities_id'];
}
$data = array("data" => $arr);
echo json_encode($data);     
$conn->close();
?>